Subject: How to cut extra liftime of expired loose objects

From: Johannes Sixt <[email-masked]>
Date: Mon, 30 May 2016 18:43:07 +0200

I think there is logic somewhere in git gc or its minions that gives 
expired objects that have been packed a two weeks extra life time as 
loose objects.

That is, reachable loose objects are moved to a pack, but those objects 
that were packed, but become unreachable due to expired reflogs, are 
evicted from the pack and live for another two weeks or so as loose objects.

As a consequence of this, I always have a few thousand loose objects in 
my busy repositories, no matter how often I collect garbage. Is there a 
knob that removes the extra lease of life of objects without reducing 
the usual expiration times of reflogs etc?

-- Hannes